<?php
App::uses('AppController', 'Controller');
/**
 * Interagirs Controller
 *
 * @property Interagir $Interagir
 */
class InteragirsController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Interagir->recursive = 0;
		$this->set('interagirs', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Interagir->exists($id)) {
			throw new NotFoundException(__('Invalid interagir'));
		}
		$options = array('conditions' => array('Interagir.' . $this->Interagir->primaryKey => $id));
		$this->set('interagir', $this->Interagir->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Interagir->create();
			if ($this->Interagir->save($this->request->data)) {
				$this->Session->setFlash(__('The interagir has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The interagir could not be saved. Please, try again.'));
			}
		}
		$medicaments = $this->Interagir->Medicament->find('list');
		$this->set(compact('medicaments'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Interagir->exists($id)) {
			throw new NotFoundException(__('Invalid interagir'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Interagir->save($this->request->data)) {
				$this->Session->setFlash(__('The interagir has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The interagir could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Interagir.' . $this->Interagir->primaryKey => $id));
			$this->request->data = $this->Interagir->find('first', $options);
		}
		$medicaments = $this->Interagir->Medicament->find('list');
		$this->set(compact('medicaments'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Interagir->id = $id;
		if (!$this->Interagir->exists()) {
			throw new NotFoundException(__('Invalid interagir'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Interagir->delete()) {
			$this->Session->setFlash(__('Interagir deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Interagir was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
