<?php
App::uses('AppController', 'Controller');
/**
 * Inviters Controller
 *
 * @property Inviter $Inviter
 */
class InvitersController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Inviter->recursive = 0;
		$this->set('inviters', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Inviter->exists($id)) {
			throw new NotFoundException(__('Invalid inviter'));
		}
		$options = array('conditions' => array('Inviter.' . $this->Inviter->primaryKey => $id));
		$this->set('inviter', $this->Inviter->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Inviter->create();
			if ($this->Inviter->save($this->request->data)) {
				$this->Session->setFlash(__('The inviter has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The inviter could not be saved. Please, try again.'));
			}
		}
		$activitesComplementaires = $this->Inviter->ActivitesComplementaire->find('list');
		$praticiens = $this->Inviter->Praticien->find('list');
		$this->set(compact('activitesComplementaires', 'praticiens'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Inviter->exists($id)) {
			throw new NotFoundException(__('Invalid inviter'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Inviter->save($this->request->data)) {
				$this->Session->setFlash(__('The inviter has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The inviter could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Inviter.' . $this->Inviter->primaryKey => $id));
			$this->request->data = $this->Inviter->find('first', $options);
		}
		$activitesComplementaires = $this->Inviter->ActivitesComplementaire->find('list');
		$praticiens = $this->Inviter->Praticien->find('list');
		$this->set(compact('activitesComplementaires', 'praticiens'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Inviter->id = $id;
		if (!$this->Inviter->exists()) {
			throw new NotFoundException(__('Invalid inviter'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Inviter->delete()) {
			$this->Session->setFlash(__('Inviter deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Inviter was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
