<?php
App::uses('AppController', 'Controller');
/**
 * Labos Controller
 *
 * @property Labo $Labo
 */
class LabosController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Labo->recursive = 0;
		$this->set('labos', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Labo->exists($id)) {
			throw new NotFoundException(__('Invalid labo'));
		}
		$options = array('conditions' => array('Labo.' . $this->Labo->primaryKey => $id));
		$this->set('labo', $this->Labo->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Labo->create();
			if ($this->Labo->save($this->request->data)) {
				$this->Session->setFlash(__('The labo has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The labo could not be saved. Please, try again.'));
			}
		}
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Labo->exists($id)) {
			throw new NotFoundException(__('Invalid labo'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Labo->save($this->request->data)) {
				$this->Session->setFlash(__('The labo has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The labo could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Labo.' . $this->Labo->primaryKey => $id));
			$this->request->data = $this->Labo->find('first', $options);
		}
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Labo->id = $id;
		if (!$this->Labo->exists()) {
			throw new NotFoundException(__('Invalid labo'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Labo->delete()) {
			$this->Session->setFlash(__('Labo deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Labo was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
