<?php
App::uses('AppController', 'Controller');
/**
 * Offrirs Controller
 *
 * @property Offrir $Offrir
 */
class OffrirsController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Offrir->recursive = 0;
		$this->set('offrirs', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Offrir->exists($id)) {
			throw new NotFoundException(__('Invalid offrir'));
		}
		$options = array('conditions' => array('Offrir.' . $this->Offrir->primaryKey => $id));
		$this->set('offrir', $this->Offrir->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Offrir->create();
			if ($this->Offrir->save($this->request->data)) {
				$this->Session->setFlash(__('The offrir has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The offrir could not be saved. Please, try again.'));
			}
		}
		$users = $this->Offrir->User->find('list');
		$rapportsVisites = $this->Offrir->RapportsVisite->find('list');
		$medicaments = $this->Offrir->Medicament->find('list');
		$this->set(compact('users', 'rapportsVisites', 'medicaments'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Offrir->exists($id)) {
			throw new NotFoundException(__('Invalid offrir'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Offrir->save($this->request->data)) {
				$this->Session->setFlash(__('The offrir has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The offrir could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Offrir.' . $this->Offrir->primaryKey => $id));
			$this->request->data = $this->Offrir->find('first', $options);
		}
		$users = $this->Offrir->User->find('list');
		$rapportsVisites = $this->Offrir->RapportsVisite->find('list');
		$medicaments = $this->Offrir->Medicament->find('list');
		$this->set(compact('users', 'rapportsVisites', 'medicaments'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Offrir->id = $id;
		if (!$this->Offrir->exists()) {
			throw new NotFoundException(__('Invalid offrir'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Offrir->delete()) {
			$this->Session->setFlash(__('Offrir deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Offrir was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
