<?php
App::uses('AppController', 'Controller');
/**
 * Posseders Controller
 *
 * @property Posseder $Posseder
 */
class PossedersController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Posseder->recursive = 0;
		$this->set('posseders', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Posseder->exists($id)) {
			throw new NotFoundException(__('Invalid posseder'));
		}
		$options = array('conditions' => array('Posseder.' . $this->Posseder->primaryKey => $id));
		$this->set('posseder', $this->Posseder->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Posseder->create();
			if ($this->Posseder->save($this->request->data)) {
				$this->Session->setFlash(__('The posseder has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The posseder could not be saved. Please, try again.'));
			}
		}
		$specialites = $this->Posseder->Specialite->find('list');
		$praticiens = $this->Posseder->Praticien->find('list');
		$this->set(compact('specialites', 'praticiens'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Posseder->exists($id)) {
			throw new NotFoundException(__('Invalid posseder'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Posseder->save($this->request->data)) {
				$this->Session->setFlash(__('The posseder has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The posseder could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Posseder.' . $this->Posseder->primaryKey => $id));
			$this->request->data = $this->Posseder->find('first', $options);
		}
		$specialites = $this->Posseder->Specialite->find('list');
		$praticiens = $this->Posseder->Praticien->find('list');
		$this->set(compact('specialites', 'praticiens'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Posseder->id = $id;
		if (!$this->Posseder->exists()) {
			throw new NotFoundException(__('Invalid posseder'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Posseder->delete()) {
			$this->Session->setFlash(__('Posseder deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Posseder was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
