<?php
App::uses('AppController', 'Controller');
/**
 * Praticiens Controller
 *
 * @property Praticien $Praticien
 */
class PraticiensController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Praticien->recursive = 0;
		$this->set('praticiens', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Praticien->exists($id)) {
			throw new NotFoundException(__('Invalid praticien'));
		}
		$options = array('conditions' => array('Praticien.' . $this->Praticien->primaryKey => $id));
		$this->set('praticien', $this->Praticien->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Praticien->create();
			if ($this->Praticien->save($this->request->data)) {
				$this->Session->setFlash(__('The praticien has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The praticien could not be saved. Please, try again.'));
			}
		}
		$typesPraticiens = $this->Praticien->TypesPraticien->find('list');
		$this->set(compact('typesPraticiens'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Praticien->exists($id)) {
			throw new NotFoundException(__('Invalid praticien'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Praticien->save($this->request->data)) {
				$this->Session->setFlash(__('The praticien has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The praticien could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Praticien.' . $this->Praticien->primaryKey => $id));
			$this->request->data = $this->Praticien->find('first', $options);
		}
		$typesPraticiens = $this->Praticien->TypesPraticien->find('list');
		$this->set(compact('typesPraticiens'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Praticien->id = $id;
		if (!$this->Praticien->exists()) {
			throw new NotFoundException(__('Invalid praticien'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Praticien->delete()) {
			$this->Session->setFlash(__('Praticien deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Praticien was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
