<?php
App::uses('AppController', 'Controller');
/**
 * Prescrires Controller
 *
 * @property Prescrire $Prescrire
 */
class PrescriresController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Prescrire->recursive = 0;
		$this->set('prescrires', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Prescrire->exists($id)) {
			throw new NotFoundException(__('Invalid prescrire'));
		}
		$options = array('conditions' => array('Prescrire.' . $this->Prescrire->primaryKey => $id));
		$this->set('prescrire', $this->Prescrire->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Prescrire->create();
			if ($this->Prescrire->save($this->request->data)) {
				$this->Session->setFlash(__('The prescrire has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The prescrire could not be saved. Please, try again.'));
			}
		}
		$medicaments = $this->Prescrire->Medicament->find('list');
		$groups = $this->Prescrire->Group->find('list');
		$dosages = $this->Prescrire->Dosage->find('list');
		$this->set(compact('medicaments', 'groups', 'dosages'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Prescrire->exists($id)) {
			throw new NotFoundException(__('Invalid prescrire'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Prescrire->save($this->request->data)) {
				$this->Session->setFlash(__('The prescrire has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The prescrire could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Prescrire.' . $this->Prescrire->primaryKey => $id));
			$this->request->data = $this->Prescrire->find('first', $options);
		}
		$medicaments = $this->Prescrire->Medicament->find('list');
		$groups = $this->Prescrire->Group->find('list');
		$dosages = $this->Prescrire->Dosage->find('list');
		$this->set(compact('medicaments', 'groups', 'dosages'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Prescrire->id = $id;
		if (!$this->Prescrire->exists()) {
			throw new NotFoundException(__('Invalid prescrire'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Prescrire->delete()) {
			$this->Session->setFlash(__('Prescrire deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Prescrire was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
