<?php
App::uses('AppController', 'Controller');
/**
 * Realisers Controller
 *
 * @property Realiser $Realiser
 */
class RealisersController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Realiser->recursive = 0;
		$this->set('realisers', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Realiser->exists($id)) {
			throw new NotFoundException(__('Invalid realiser'));
		}
		$options = array('conditions' => array('Realiser.' . $this->Realiser->primaryKey => $id));
		$this->set('realiser', $this->Realiser->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Realiser->create();
			if ($this->Realiser->save($this->request->data)) {
				$this->Session->setFlash(__('The realiser has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The realiser could not be saved. Please, try again.'));
			}
		}
		$activitesComplementaires = $this->Realiser->ActivitesComplementaire->find('list');
		$users = $this->Realiser->User->find('list');
		$this->set(compact('activitesComplementaires', 'users'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Realiser->exists($id)) {
			throw new NotFoundException(__('Invalid realiser'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Realiser->save($this->request->data)) {
				$this->Session->setFlash(__('The realiser has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The realiser could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Realiser.' . $this->Realiser->primaryKey => $id));
			$this->request->data = $this->Realiser->find('first', $options);
		}
		$activitesComplementaires = $this->Realiser->ActivitesComplementaire->find('list');
		$users = $this->Realiser->User->find('list');
		$this->set(compact('activitesComplementaires', 'users'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Realiser->id = $id;
		if (!$this->Realiser->exists()) {
			throw new NotFoundException(__('Invalid realiser'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Realiser->delete()) {
			$this->Session->setFlash(__('Realiser deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Realiser was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
