<?php
App::uses('AppController', 'Controller');
/**
 * Secteurs Controller
 *
 * @property Secteur $Secteur
 */
class SecteursController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Secteur->recursive = 0;
		$this->set('secteurs', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Secteur->exists($id)) {
			throw new NotFoundException(__('Invalid secteur'));
		}
		$options = array('conditions' => array('Secteur.' . $this->Secteur->primaryKey => $id));
		$this->set('secteur', $this->Secteur->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Secteur->create();
			if ($this->Secteur->save($this->request->data)) {
				$this->Session->setFlash(__('The secteur has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The secteur could not be saved. Please, try again.'));
			}
		}
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Secteur->exists($id)) {
			throw new NotFoundException(__('Invalid secteur'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Secteur->save($this->request->data)) {
				$this->Session->setFlash(__('The secteur has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The secteur could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Secteur.' . $this->Secteur->primaryKey => $id));
			$this->request->data = $this->Secteur->find('first', $options);
		}
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Secteur->id = $id;
		if (!$this->Secteur->exists()) {
			throw new NotFoundException(__('Invalid secteur'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Secteur->delete()) {
			$this->Session->setFlash(__('Secteur deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Secteur was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
