<?php
App::uses('AppController', 'Controller');
/**
 * Specialites Controller
 *
 * @property Specialite $Specialite
 */
class SpecialitesController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Specialite->recursive = 0;
		$this->set('specialites', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Specialite->exists($id)) {
			throw new NotFoundException(__('Invalid specialite'));
		}
		$options = array('conditions' => array('Specialite.' . $this->Specialite->primaryKey => $id));
		$this->set('specialite', $this->Specialite->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Specialite->create();
			if ($this->Specialite->save($this->request->data)) {
				$this->Session->setFlash(__('The specialite has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The specialite could not be saved. Please, try again.'));
			}
		}
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Specialite->exists($id)) {
			throw new NotFoundException(__('Invalid specialite'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Specialite->save($this->request->data)) {
				$this->Session->setFlash(__('The specialite has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The specialite could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Specialite.' . $this->Specialite->primaryKey => $id));
			$this->request->data = $this->Specialite->find('first', $options);
		}
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Specialite->id = $id;
		if (!$this->Specialite->exists()) {
			throw new NotFoundException(__('Invalid specialite'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Specialite->delete()) {
			$this->Session->setFlash(__('Specialite deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Specialite was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
