<?php
App::uses('AppController', 'Controller');
/**
 * Travaillers Controller
 *
 * @property Travailler $Travailler
 */
class TravaillersController extends AppController {

/**
 * index method
 *
 * @return void
 */
	public function index() {
		$this->Travailler->recursive = 0;
		$this->set('travaillers', $this->paginate());
	}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function view($id = null) {
		if (!$this->Travailler->exists($id)) {
			throw new NotFoundException(__('Invalid travailler'));
		}
		$options = array('conditions' => array('Travailler.' . $this->Travailler->primaryKey => $id));
		$this->set('travailler', $this->Travailler->find('first', $options));
	}

/**
 * add method
 *
 * @return void
 */
	public function add() {
		if ($this->request->is('post')) {
			$this->Travailler->create();
			if ($this->Travailler->save($this->request->data)) {
				$this->Session->setFlash(__('The travailler has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The travailler could not be saved. Please, try again.'));
			}
		}
		$users = $this->Travailler->User->find('list');
		$regions = $this->Travailler->Region->find('list');
		$this->set(compact('users', 'regions'));
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function edit($id = null) {
		if (!$this->Travailler->exists($id)) {
			throw new NotFoundException(__('Invalid travailler'));
		}
		if ($this->request->is('post') || $this->request->is('put')) {
			if ($this->Travailler->save($this->request->data)) {
				$this->Session->setFlash(__('The travailler has been saved'));
				$this->redirect(array('action' => 'index'));
			} else {
				$this->Session->setFlash(__('The travailler could not be saved. Please, try again.'));
			}
		} else {
			$options = array('conditions' => array('Travailler.' . $this->Travailler->primaryKey => $id));
			$this->request->data = $this->Travailler->find('first', $options);
		}
		$users = $this->Travailler->User->find('list');
		$regions = $this->Travailler->Region->find('list');
		$this->set(compact('users', 'regions'));
	}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
	public function delete($id = null) {
		$this->Travailler->id = $id;
		if (!$this->Travailler->exists()) {
			throw new NotFoundException(__('Invalid travailler'));
		}
		$this->request->onlyAllow('post', 'delete');
		if ($this->Travailler->delete()) {
			$this->Session->setFlash(__('Travailler deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Travailler was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
}
