<?php
App::uses('AppController', 'Controller');


/**
 * Users Controller
 *
 * @property User $User
 */
class UsersController extends AppController {


/**
 * index method
 *
 * @return void
 */
public function index() {
	$this->User->recursive = 0;
	$this->set('users', $this->paginate());
}

/**
 * view method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
public function view($id = null) {
	if (!$this->User->exists($id)) {
		throw new NotFoundException(__('Invalid user'));
	}
	$options = array('conditions' => array('User.' . $this->User->primaryKey => $id));
	$this->set('user', $this->User->find('first', $options));
}

/**
 * add method
 *
 * @return void
 */
public function add() {
	if ($this->request->is('post')) {
		$this->User->create();
		if ($this->User->save($this->request->data)) {
			$this->Session->setFlash(__('The user has been saved'));
			$this->redirect(array('action' => 'index'));
		} else {
			$this->Session->setFlash(__('The user could not be saved. Please, try again.'));
		}
	}
	$secteurs = $this->User->Secteur->find('list');
	$labos = $this->User->Labo->find('list');
	$groups = $this->User->Group->find('list');
	$this->set(compact('secteurs', 'labos', 'groups'));
}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
public function edit($id = null) {
	if (!$this->User->exists($id)) {
		throw new NotFoundException(__('Invalid user'));
	}
	if ($this->request->is('post') || $this->request->is('put')) {
		if ($this->User->save($this->request->data)) {
			$this->Session->setFlash(__('The user has been saved'));
			$this->redirect(array('action' => 'index'));
		} else {
			$this->Session->setFlash(__('The user could not be saved. Please, try again.'));
		}
	} else {
		$options = array('conditions' => array('User.' . $this->User->primaryKey => $id));
		$this->request->data = $this->User->find('first', $options);
	}
	$secteurs = $this->User->Secteur->find('list');
	$labos = $this->User->Labo->find('list');
	$groups = $this->User->Group->find('list');
	$this->set(compact('secteurs', 'labos', 'groups'));
}

/**
 * delete method
 *
 * @throws NotFoundException
 * @throws MethodNotAllowedException
 * @param string $id
 * @return void
 */
public function delete($id = null) {
	$this->User->id = $id;
	if (!$this->User->exists()) {
		throw new NotFoundException(__('Invalid user'));
	}
	$this->request->onlyAllow('post', 'delete');
	if ($this->User->delete()) {
		$this->Session->setFlash(__('User deleted'));
		$this->redirect(array('action' => 'index'));
	}
	$this->Session->setFlash(__('User was not deleted'));
	$this->redirect(array('action' => 'index'));
}


public function login(){
	
	if ($this->request->is('post')) {
		if ($this->Auth->login()) {
			if (AuthComponent::user('group_id')==3) {
					return $this->redirect($this->Auth->redirect('/RapportsVisites/index'));
					}
			return $this->redirect($this->Auth->redirect('/RapportsVisites/historique'));
		} else {
			$this->Session->setFlash('Votre nom d\'user ou mot de passe sont incorrects.');
		}
	}

}


public function logout(){
	$this->Auth->logout();
	$this->Session->setFlash(__("Vous êtes maintenant déconnecté"));
	$this->redirect('/');
	}

public function beforeFilter() {
	parent::beforeFilter();
}

}
