<?php
App::uses('AppModel', 'Model');
/**
 * Medicament Model
 *
 * @property Famille $Famille
 * @property Constituer $Constituer
 * @property Formuler $Formuler
 * @property Interagir $Interagir
 * @property Offrir $Offrir
 * @property Prescrire $Prescrire
 * @property Presentation $Presentation
 */
class Medicament extends AppModel {

// var $displayField = 'effets';

/**
 * Validation rules
 *
 * @var array
 */
	public $validate = array(
		'famille_id' => array(
			'notempty' => array(
				'rule' => array('notempty'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

/**
 * belongsTo associations
 *
 * @var array
 */
	public $belongsTo = array(
		'Famille' => array(
			'className' => 'Famille',
			'foreignKey' => 'famille_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		)
	);

/**
 * hasMany associations
 *
 * @var array
 */
	public $hasMany = array(
		'Constituer' => array(
			'className' => 'Constituer',
			'foreignKey' => 'medicament_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Formuler' => array(
			'className' => 'Formuler',
			'foreignKey' => 'medicament_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Interagir' => array(
			'className' => 'Interagir',
			'foreignKey' => 'medicament_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Offrir' => array(
			'className' => 'Offrir',
			'foreignKey' => 'medicament_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Prescrire' => array(
			'className' => 'Prescrire',
			'foreignKey' => 'medicament_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Presentation' => array(
			'className' => 'Presentation',
			'foreignKey' => 'medicament_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		)
	);

}
