<?php
App::uses('AppModel', 'Model');
/**
 * User Model
 *
 * @property Secteur $Secteur
 * @property Labo $Labo
 * @property Group $Group
 * @property Offrir $Offrir
 * @property Presentation $Presentation
 * @property RapportsVisite $RapportsVisite
 * @property Realiser $Realiser
 * @property Travailler $Travailler
 */
class User extends AppModel {

/**
 * Validation rules
 *
 * @var array
 */
public $validate = array(
	'labo_id' => array(
		'notempty' => array(
			'rule' => array('notempty'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	'username' => array(
		'notempty' => array(
			'rule' => array('notempty'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	'group_id' => array(
		'numeric' => array(
			'rule' => array('numeric'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	);

	//The Associations below have been created with all possible keys, those that are not needed can be removed

/**
 * belongsTo associations
 *
 * @var array
 */
public $belongsTo = array(
	'Secteur' => array(
		'className' => 'Secteur',
		'foreignKey' => 'secteur_id',
		'conditions' => '',
		'fields' => '',
		'order' => ''
		),
	'Labo' => array(
		'className' => 'Labo',
		'foreignKey' => 'labo_id',
		'conditions' => '',
		'fields' => '',
		'order' => ''
		),
	'Group' => array(
		'className' => 'Group',
		'foreignKey' => 'group_id',
		'conditions' => '',
		'fields' => '',
		'order' => ''
		)
	);

/**
 * hasMany associations
 *
 * @var array
 */
public $hasMany = array(
	'Offrir' => array(
		'className' => 'Offrir',
		'foreignKey' => 'user_id',
		'dependent' => false,
		'conditions' => '',
		'fields' => '',
		'order' => '',
		'limit' => '',
		'offset' => '',
		'exclusive' => '',
		'finderQuery' => '',
		'counterQuery' => ''
		),
	'Presentation' => array(
		'className' => 'Presentation',
		'foreignKey' => 'user_id',
		'dependent' => false,
		'conditions' => '',
		'fields' => '',
		'order' => '',
		'limit' => '',
		'offset' => '',
		'exclusive' => '',
		'finderQuery' => '',
		'counterQuery' => ''
		),
	'RapportsVisite' => array(
		'className' => 'RapportsVisite',
		'foreignKey' => 'user_id',
		'dependent' => false,
		'conditions' => '',
		'fields' => '',
		'order' => '',
		'limit' => '',
		'offset' => '',
		'exclusive' => '',
		'finderQuery' => '',
		'counterQuery' => ''
		),
	'Realiser' => array(
		'className' => 'Realiser',
		'foreignKey' => 'user_id',
		'dependent' => false,
		'conditions' => '',
		'fields' => '',
		'order' => '',
		'limit' => '',
		'offset' => '',
		'exclusive' => '',
		'finderQuery' => '',
		'counterQuery' => ''
		),
	'Travailler' => array(
		'className' => 'Travailler',
		'foreignKey' => 'user_id',
		'dependent' => false,
		'conditions' => '',
		'fields' => '',
		'order' => '',
		'limit' => '',
		'offset' => '',
		'exclusive' => '',
		'finderQuery' => '',
		'counterQuery' => ''
		)
	);

public function beforeSave() {
	App::uses('Utitlity','Security');
	if(!empty($this->data['User']['password'])) {
		$this->data['User']['password'] = Security::hash($this->data['User']['password'],null,true);
	}
	return true;
}


}

